import axios from 'axios';

let baseUrl2 = ''; //二类区地址
let baseUrlZddwUrl = ''; //重点单位地址
let zyURL = '';
try {
	let fwzxToken = bridge.getToken();
	baseUrl2 = `http://118.122.165.45:35623`;
	baseUrlZddwUrl = `http://118.122.165.45:35623`;
	zyURL = `http://118.122.165.45:35623/mosty-api`;
	// baseUrl2 = `http://172.20.19.221:8006`;
	// baseUrlZddwUrl = `http://172.20.19.221:8006`;
	// zyURL = `http://172.20.19.221:8006/mosty-api`;
} catch (error) {
}
const service = axios.create({
	baseURL: baseUrl2,
	timeout: 60000
});

// 1.请求拦截器
service.interceptors.request.use(
	(config) => {
		// 请求接口之前 做些什么
		//1.统一注入token
		let token = window.localStorage.getItem('token')
		if (token) { config.headers.Authorization = token; }
		//2.设置headers icode
		// config.headers.code = '';
		// 必须返回 config
		return config;
	},
	(error) => {
		return Promise.reject(error);
	}
);

// 2.响应拦截器
service.interceptors.response.use(
	// 请求成功的处理
	(response) => {
		const { success, code, message, data, resultCode } = response.data;
		// 需要判断当前请求是否成功
		if (success && code === 10000) {
			return data; // 成功后返回解析后的数据
		} else if (code === 200 || code == "00000") {
			return data; // 成功后返回解析后的数据
		} else if (resultCode == 0) {
			return data;
		}else {
			return Promise.reject(new Error(message));
		}
	},
	// 请求失败处理
	(error) => {
		return Promise.reject(error);
	}
);

export {
	service,
	baseUrl2,
	baseUrlZddwUrl
};